BasicHelpUI

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf.basic
Class BasicHelpUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.help.plaf.HelpUI
                  |
                  +--javax.help.plaf.basic.BasicHelpUI

All Implemented Interfaces:
  java.util.EventListener, java.beans.PropertyChangeListener, java.io.Serializable

public class BasicHelpUI
extends HelpUI
implements java.beans.PropertyChangeListener, java.io.Serializable

The default UI for JHelp.

See Also:
  Serialized Form

Constructor Summary
`BasicHelpUI(JHelp b)`

Method Summary
`void` | `addNavigator(JHelpNavigator nav)` Adds a Navigator.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent x)`
`JHelpNavigator` | `getCurrentNavigator()` Gets the current Navigator.
`java.util.Enumeration` | `getHelpNavigators()`
`static javax.swing.ImageIcon` | `getIcon(java.lang.Class klass, java.lang.String name)`
`java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
`void` | `installUI(javax.swing.JComponent c)`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`void` | `removeNavigator(JHelpNavigator nav)` Remove a Navigator.
`void` | `setCurrentNavigator(JHelpNavigator nav)` Sets the current Navigator.
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicHelpUI

    public BasicHelpUI(JHelp b)

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent x)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Overrides:
    `getPreferredSize` in class `javax.swing.plaf.ComponentUI`

### getMinimumSize

    public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

  Overrides:
    `getMinimumSize` in class `javax.swing.plaf.ComponentUI`

### getMaximumSize

    public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

  Overrides:
    `getMaximumSize` in class `javax.swing.plaf.ComponentUI`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### addNavigator

    public void addNavigator(JHelpNavigator nav)

  Description copied from class: `HelpUI`
  Adds a Navigator.

  Specified by:
    `addNavigator` in class `HelpUI`
  Parameters:
    `nav` - the Navigator to add

### removeNavigator

    public void removeNavigator(JHelpNavigator nav)

  Description copied from class: `HelpUI`
  Remove a Navigator.

  Specified by:
    `removeNavigator` in class `HelpUI`
  Parameters:
    `nav` - The Navigator to remove.

### getHelpNavigators

    public java.util.Enumeration getHelpNavigators()

### setCurrentNavigator

    public void setCurrentNavigator(JHelpNavigator nav)

  Sets the current Navigator.

  Specified by:
    `setCurrentNavigator` in class `HelpUI`
  Parameters:
    `nav` - The current Navigator to show.
  Throws:
    `throws` - InvalidNavigatorException if not one of the HELPUI navigators.

### getCurrentNavigator

    public JHelpNavigator getCurrentNavigator()

  Description copied from class: `HelpUI`
  Gets the current Navigator.

  Specified by:
    `getCurrentNavigator` in class `HelpUI`

### getIcon

    public static javax.swing.ImageIcon getIcon(java.lang.Class klass,
                                                java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD